Webhook

Retrieves a list of webhooks

Retrieves a list of webhooks

GET/api/webhooks

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[groupIdentifier]
stringdefault:asc

No description provided.

order[priority]
stringdefault:asc

No description provided.

order[type]
stringdefault:asc

No description provided.

order[email]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

identifier
string

No description provided.

groupIdentifier
string

No description provided.

groupIdentifier[]
string[]

No description provided.

type
string

No description provided.

type[]
string[]

No description provided.

email
boolean

No description provided.

active
boolean

No description provided.

search
string

Global webhook search across id, identifier, group identifier, priority, type, status, email flag, and dates.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

Webhook collection

id
integer

Webhook ID generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Customer Identifier, used for webhook selection in rendering process

Example: "my-webhook"

type
enum<string>

Webhook type

Available options: chargecloud-documentprerender-api-documentprerender-api-emailbinect-documentbinect-emailepostbusiness-documentepostbusiness-emailsftp-documentsftp-email

Example: "sftp-document"

priority
integer

Webhook execution priority

Example: 1

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"